/*********************************************************************\
**                               ________________________________    **
**    A n t h o n y             |________    __    __    ________|   **
**                                       |  |o_|  |o_|  |            **
**            T h y s s e n            __|   __    __   |__          **
**                                  __|   __|  |  |  |__   |__       **
**   `` Dragon Computing ! ''    __|   __|     |  |     |__   |__    **
**                              |_____|        |__|        |_____|   **
**                                                                   **
\*********************************************************************/
/*   This is the header file to the Arp library startup code
** The user must supply the global variables starting with "CLI_"
** listed below or a link error will result.
*/

#define  DO_ARP_COPIES         /* replace Dos calls with Arp Calls */
#include <Proto/Arp.h>
#include <Libraries/DosExtens.h>

 /* Variables you should provide */
extern char *CLI_Template;   /* AmigaDOS Template    EG: "Arg/,,,"  */
extern char *CLI_Help;       /* AmigaDOS Extra Help  EG: "No Help"  */
extern char *CLI_Args[];     /* To hold args from tplate - if CLI (argv) */
/* CLI_Args above is an array of string pointers. One pointer per argument
given in the Template to a maximum of 20 (I think) */


 /* Global varibals provided by the startup code itself */
extern struct ArpBase       *ArpBase;
extern struct IntuitionBase *IntuitionBase;
extern struct GfxBase       *GfxBase;
extern struct Process       *Process;   /* this process */
extern struct WBStartup     *WBMsg;     /* workbench message - if WB (argv) */

extern void exit( int retcode );
extern void main( int argc, char *argv[] );

